## GstGLWindowX11 GstGLWindowX11 |

## Functions

GstGLWindowX11 * | gst_gl_window_x11_new ()
gboolean | gst_gl_window_x11_create_window ()
void | gst_gl_window_x11_trap_x_errors ()
gint | gst_gl_window_x11_untrap_x_errors ()

## Types and Values

struct | GstGLWindowX11
struct | GstGLWindowX11Class

## Description

## Functions

### gst_gl_window_x11_new ()

    GstGLWindowX11 *
    gst_gl_window_x11_new (GstGLDisplay *display);

### gst_gl_window_x11_create_window ()

    gboolean
    gst_gl_window_x11_create_window (GstGLWindowX11 *window_x11);

### gst_gl_window_x11_trap_x_errors ()

    void
    gst_gl_window_x11_trap_x_errors (void);

Traps every X error until `gst_gl_window_x11_untrap_x_errors()` is called.

### gst_gl_window_x11_untrap_x_errors ()

    gint
    gst_gl_window_x11_untrap_x_errors (void);

Removes the X error trap and returns the current status.

#### Returns

the trapped error code, or 0 for success

## Types and Values

### struct GstGLWindowX11

    struct GstGLWindowX11 {
    };

Opaque GstGLWindowX11 object

### struct GstGLWindowX11Class

    struct GstGLWindowX11Class {
    };

Opaque GstGLWindowX11Class object